Equipo y flota›Actualizar un técnico
Actualizar un técnico
Actualiza los campos mutables del perfil del técnico. `start_location_type=office` vuelve a tomar un snapshot de la dirección + coordenadas actuales del negocio (se ignoran `address`/`start_location_lat`/`start_location_long` del cuerpo; requiere coordenadas del negocio, de lo contrario 400 BUSINESS_LOCATION_MISSING). `start_location_type=home` (o vacío) usa la dirección + coordenadas del cuerpo.
Argumentos
idstringpathobligatorio
ID del técnico
▾addressobjectbodyopcional
Home address (the day-start point when start_location_type=home).
assignment_tierenumbodyopcional
Nivel de cuadrilla: lead / buddy / float (float = excluido de la asignación automática de cuadrilla).
business_group_idstringbodyobligatorio
Grupo de rol. Descubra los IDs con GET /permission/groups.
emailstringbodyopcional
Email address. At least one of phone/email is required.
full_namestringbodyobligatorio
The person's full display name. Required; max 255 chars.
job_titlestringbodyopcional
Título de visualización.
join_datestringbodyopcional
Primer día de trabajo (YYYY-MM-DD).
phonestringbodyopcional
Se requiere al menos uno de phone/email.
start_location_latnumberbodyopcional
Explicit day-start latitude in decimal degrees (-90..90); when set it wins over the address geocode.
start_location_longnumberbodyopcional
Explicit day-start longitude in decimal degrees (-180..180); when set it wins over the address geocode.
start_location_typeenumbodyopcional
Punto de inicio del día: home u office; las coordenadas explícitas prevalecen cuando se definen.
PUT/v1/technicians/{id}
curl -X PUT "https://api.crisphive.com/v1/technicians/9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01" \ -H "Authorization: Bearer chsk_test_4eC8xQ9mZ2pL7Ka0rT" \ -H "Content-Type: application/json" \ -d '{ "address": { "city": "San Francisco", "country": "US", "formatted": "123 Market Street, San Francisco, CA 94103", "line": "123 Market Street", "line2": "Suite 200", "postal_code": "94103", "state": "CA" }, "assignment_tier": "lead", "business_group_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "email": "jane.doe@example.com", "full_name": "Jane Cooper", "job_title": "Sample title", "join_date": "2026-07-02", "phone": "+14155550142", "start_location_lat": 1, "start_location_long": 1, "start_location_type": "home" }'
Cuerpo de la solicitud
{
"address": {
"city": ,
"country": ,
"formatted": ,
"line": ,
"line2": ,
"postal_code": ,
"state":
},
"assignment_tier": ,
"business_group_id": ,
"email": ,
"full_name": ,
"job_title": ,
"join_date": ,
"phone": ,
"start_location_lat": ,
"start_location_long": ,
"start_location_type":
}
Bearer